<div class="usc_app_page_wrap" style="min-height:600px">
<link rel="stylesheet" href="{$data_server}css/history.min.css" type="text/css" media="screen">

{if $users}
<div class="row">
    <div class="col-xs-12">
        <div class="panel history_panel">
            <header class="panel-heading history_panel_heading">
				<span>Chat history</span>
				<div class="history_btn_container">
					{if $smarty.session.user.permissions == 1}
						<button type="button" class="usc_table_btn" onclick="submit_bulk_delete()">CLEAR</button>
					{/if}
				</div>
			</header>

            <div class="panel-body table-responsive">
                <div class="box-tools m-b-15">
					<form method="post">
                    <div class="input-group">
						
                        <input type="text" name="history_table_search" class="form-control input-sm pull-right history_input" placeholder="Enter visitor name..."/>

                        <div class="input-group-btn">
                            <button class="btn btn-sm btn-default"><i class="fa fa-search"></i></button>
                        </div>
						<input type="hidden" name="search_visitor_history"/>
					
                    </div>
					</form>
                </div>
				{if $smarty.session.user.permissions == 1}
					<form method="post" id="bulk_delete">
				{/if}
                <table class="table table-hover">
                    <tr>
                        <th>DATE</th>
                        <th>VISITOR</th>
                        <th>SPECS</th>
                        <th>LENGTH</th>
                        <th>STATUS</th>
						{if $smarty.session.user.permissions == 1}
						 <th></th>
						  <th></th>
						{/if}
                    </tr>

                    {foreach from=$users item=i}

                    <tr>

                        {literal}
                        <script>
                            function getRow(row, action) {								
								if (action == 'get'){
									 window.location.href = applicationPath + 'visitors/history'+delimiter+'request_id=' + row;
								}
								if (action == 'delete'){	
									var conf = confirm('Are you sure?');
									if (conf === true){
										window.location.href = applicationPath + 'visitors/history'+delimiter+'delete_chat_id=' + row;
									}
									return false;
								}
                            }
                        </script>
                        {/literal}

                        <td onclick="getRow({$i.request_id}, 'get')">{$i.end_date|date_format:"%D %H:%M:%S"}</td>
                        <td onclick="getRow({$i.request_id} ,'get')"><span>{$i.name}</span></td>

                        <td onclick="getRow({$i.request_id} ,'get')">
                            <span>
                                {if $i.country_name != '' && $i.country_name != 'Null'
                                && $i.country_name != 'Undefined'}
                                    <img class="tip_tip country_img" title="{$i.country_name}"
                                     src="{$data_server}/img/countries/{$i.country_code|lower}.png"/>
                                {else}
                                    <img class="tip_tip" title="{$i.country_name}"
                                     src="{$data_server}/img/countries/earth.png"/>
                                {/if}
                                <a class="tip_tip" title="{$i.os}, {$i.browser}"><i class="fa fa-desktop os_info"></i></a>
								{if $i.email != ''}
									<a class="tip_tip" title="{$i.email}"><i class="fa fa-envelope-o email_info"></i></a>
								{/if}						
                            </span>
                        </td>
                        <td  onclick="getRow({$i.request_id} ,'get')">{$i.chat_length}</td>
                        <td  onclick="getRow({$i.request_id} ,'get')">
							<a href="/{$languageURL}{$delimiter}user={$i.user_id}" class="tip_tip" title="End date: {$i.end_date}">
								<span class="label label-danger">Ended</span>
							</a>
						</td>
						{if $smarty.session.user.permissions == 1}
						 <td>	 
							 <a class="tip_tip" title="Delete" onclick="getRow({$i.request_id}, 'delete')"><i class="fa fa-trash"></i></a>
							 <span style="margin-left:10px"><input type="checkbox" name="delete_chat_id[]" value="{$i.request_id}" /></span>
						 </td>	
						{/if}		
                    </tr>

                    {/foreach}
					
					
					{if $smarty.session.user.permissions == 1}
							
					  <tr>
						<td></td>  <td></td>  <td></td>  <td></td>  <td></td>
						<td>
						   <i class="fa fa-trash"></i>
						   <span style="margin-left:10px">
							<input type="checkbox" onchange="checkAll(this)" name="chk[]" id="checkbox" value="1" onchange="checkAll(this)"/>
							<span style="margin-left:10px">All</span>
							
						  </span>
						  <input type="hidden" name="delete_selected" value="1"/>
						</td>							
					</tr>
					</form>
					{/if}
					
                </table>

            </div>

        </div>

    </div>
</div>
		{$paging}
{/if}

{if !$users && !$data}
	<div style="text-align: center">NO RESULTS FOUND</div>
{/if}

{if $data}

<div class="chat_dashboard_container clearfix screenFiller">

    <div class="col-xs-8">
        <div class="chat">
            <div class="chat-header">
				<form id="history_actions" method="post">
					<button type="button" class="email_transcript_btn usc_table_btn mt14" name="email_transcript" onclick="email_transcript_modal()"></button>
					<button type="submit" class="download_transcript_btn  usc_table_btn mt14" name="download_transcript"></button>
				</form>
            </div>
            <div id="chat_history" class="chat_history chat_history_vis_hide">
                {if $data.history}
                  {foreach from=$data.history item=i}
                    {$i}
                  {/foreach}
				  {literal}<script> $(document).ready(function (){refreshLayout();}); </script>{/literal}
                {/if}
            </div>
        </div>
    </div>

    <div class="col-xs-4">
		<div class="chat_stats">			
	        <h4>Chat stats:</h4>
	        <p>Date: {$data.chat_date|date_format:"%A, %B %e, %Y"}</p>
	        <p>Length: {$data.chat_length}</p>
			
			{if $visitor_email != ''}
				<h4>Visitors email:</h4>
				<p>{$visitor_email}</p>
			{/if}	
		
	        <h4>Visitors path:</h4>

	        {if $data.visitors_path}
	          {foreach from=$data.visitors_path item=i}
	            <span class="visitor_path">{$i}</span>
	          {/foreach}
	        {/if}
		</div>
    </div>
	
</div>

<div class="row"></div>
<br/>

{/if}
</div>

<!-- Modal HTML -->
<div id="emailTranscriptModal" class="modal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Email Transcript</h4>
            </div>
            <div class="modal-body">
				<form>
				<div class="form-group">
				  <label for="comment">Enter email (Example: 1@gmail.com, 2@gmail.com)</label>
				  <textarea class="form-control" rows="3" id="email_addresses"></textarea>
				</div>
			    </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="emailTranscript()">Email</button>
            </div>
        </div>
    </div>
</div>
</div>

<script src="{$data_server}js/history.min.js" type="text/javascript"></script>
